# WStringSeqC.h File Reference

`#include "ace/config-all.h"`
`#include "tao/TAO_Export.h"`
`#include "tao/ORB.h"`
`#include "tao/Environment.h"`
`#include "tao/Sequence_T.h"`
`#include "tao/Seq_Var_T.h"`
`#include "tao/Seq_Out_T.h"`

Include dependency graph for WStringSeqC.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | CORBA
namespace | TAO

## Classes

class | CORBA::WStringSeq

## Defines

#define | TAO_EXPORT_MACRO TAO_Export
#define | _CORBA_WSTRINGSEQ_CH_

## Typedefs

typedef TAO_MngSeq_Var_T< WStringSeq, TAO_SeqElem_WString_Manager > | WStringSeq_var
typedef TAO_MngSeq_Out_T< WStringSeq, WStringSeq_var, TAO_SeqElem_WString_Manager > | WStringSeq_out

## Functions

TAO_Export::CORBA::Boolean | operator<< (TAO_OutputCDR &, const CORBA::WStringSeq &)
TAO_Export::CORBA::Boolean | operator>> (TAO_InputCDR &, CORBA::WStringSeq &)

## Define Documentation

#define _CORBA_WSTRINGSEQ_CH_

#define TAO_EXPORT_MACRO TAO_Export

## Typedef Documentation

typedef TAO_MngSeq_Out_T< WStringSeq, WStringSeq_var, TAO_SeqElem_WString_Manager > CORBA::WStringSeq_out

typedef TAO_MngSeq_Var_T< WStringSeq, TAO_SeqElem_WString_Manager > CORBA::WStringSeq_var

## Function Documentation

TAO_Export ::CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const CORBA::WStringSeq & |
| ) |

TAO_Export ::CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | CORBA::WStringSeq & |
| ) |